<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/thread/meshcop_dataset.hpp Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d6/d3c/meshcop__dataset_8hpp_source.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">meshcop_dataset.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d3c/meshcop__dataset_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright (c) 2016, The OpenThread Authors.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *  All rights reserved.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  Redistribution and use in source and binary forms, with or without</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  modification, are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  1. Redistributions of source code must retain the above copyright</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *  2. Redistributions in binary form must reproduce the above copyright</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer in the</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *     documentation and/or other materials provided with the distribution.</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *  3. Neither the name of the copyright holder nor the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *     names of its contributors may be used to endorse or promote products</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *     derived from this software without specific prior written permission.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> *  POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#ifndef MESHCOP_DATASET_HPP_</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#define MESHCOP_DATASET_HPP_</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../d5/d8c/message_8hpp.html">common/message.hpp</a>&gt;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../dd/d6b/meshcop__tlvs_8hpp.html">thread/meshcop_tlvs.hpp</a>&gt;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">namespace </span><a class="code" href="../../d9/d00/namespaceThread.html">Thread</a> {</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">namespace </span>MeshCoP {</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">   44</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;{</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keyword">enum</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    {</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a32f049f8483850d8eb74d7fcaf5f84bda42f9a1acf353967a18f1bb737c4a7af9">   49</a></span>&#160;        <a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a32f049f8483850d8eb74d7fcaf5f84bda42f9a1acf353967a18f1bb737c4a7af9">kMaxSize</a> = 256,      </div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        kMaxValueSize = 16,  </div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    };</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a3fd5a48abf6d35b95bb310268291831a">Dataset</a>(<span class="keyword">const</span> <a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Tlv::Type</a> aType);</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a8a8d126f604b8dbedb7128c9292480f9">Clear</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a> *<a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a3258521bf66915fc5da53679c867e233">Get</a>(<a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Tlv::Type</a> aType);</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keyword">const</span> <a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a> *<a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a3258521bf66915fc5da53679c867e233">Get</a>(<a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Tlv::Type</a> aType) <span class="keyword">const</span>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a0b1de5d24be05445bf6cf41ec93a0ee5">   89</a></span>&#160;    <span class="keyword">const</span> uint8_t *<a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a0b1de5d24be05445bf6cf41ec93a0ee5">GetBytes</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mTlvs; }</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a3258521bf66915fc5da53679c867e233">Get</a>(<a class="code" href="../../d5/d59/structotOperationalDataset.html">otOperationalDataset</a> &amp;aDataset) <span class="keyword">const</span>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a7bf2672f12591565bcbda0cf0f8bde98">  103</a></span>&#160;    uint8_t <a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a7bf2672f12591565bcbda0cf0f8bde98">GetSize</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mLength; }</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="keyword">const</span> <a class="code" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html">Timestamp</a> *<a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a2576874faa1595dcae546fa8cd2c70f3">GetTimestamp</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a6ac8ee63c0679525bb24ab99900c0fb7">SetTimestamp</a>(<span class="keyword">const</span> <a class="code" href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html">Timestamp</a> &amp;aTimestamp);</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#adbbce97d87391aadc3e3223db67b59aa">Compare</a>(<span class="keyword">const</span> <a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a> &amp;aCompare) <span class="keyword">const</span>;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a525029b5a6e6625dbe92863f9485d80d">Set</a>(<span class="keyword">const</span> <a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Tlv</a> &amp;aTlv);</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a525029b5a6e6625dbe92863f9485d80d">Set</a>(<span class="keyword">const</span> <a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, uint16_t aOffset, uint8_t aLength);</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a525029b5a6e6625dbe92863f9485d80d">Set</a>(<span class="keyword">const</span> <a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Dataset</a> &amp;aDataset);</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a525029b5a6e6625dbe92863f9485d80d">Set</a>(<span class="keyword">const</span> <a class="code" href="../../d5/d59/structotOperationalDataset.html">otOperationalDataset</a> &amp;aDataset);</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    <span class="keywordtype">void</span> Remove(<a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Tlv::Type</a> aType);</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    <span class="keywordtype">void</span> Remove(uint8_t *aStart, uint8_t aLength);</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    <a class="code" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Tlv::Type</a>  mType;            </div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    uint8_t    mTlvs[<a class="code" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a32f049f8483850d8eb74d7fcaf5f84bda42f9a1acf353967a18f1bb737c4a7af9">kMaxSize</a>];  </div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    uint8_t    mLength;          </div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;};</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;}  <span class="comment">// namespace MeshCoP</span></div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;}  <span class="comment">// namespace Thread</span></div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<span class="preprocessor">#endif  // MESHCOP_DATASET_HPP_</span></div><div class="ttc" id="classThread_1_1MeshCoP_1_1Dataset_html_a525029b5a6e6625dbe92863f9485d80d"><div class="ttname"><a href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a525029b5a6e6625dbe92863f9485d80d">Thread::MeshCoP::Dataset::Set</a></div><div class="ttdeci">ThreadError Set(const Tlv &amp;aTlv)</div><div class="ttdoc">This method sets a TLV in the Dataset. </div><div class="ttdef"><b>Definition:</b> meshcop_dataset.cpp:435</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Dataset_html"><div class="ttname"><a href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html">Thread::MeshCoP::Dataset</a></div><div class="ttdef"><b>Definition:</b> meshcop_dataset.hpp:44</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Dataset_html_adbbce97d87391aadc3e3223db67b59aa"><div class="ttname"><a href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#adbbce97d87391aadc3e3223db67b59aa">Thread::MeshCoP::Dataset::Compare</a></div><div class="ttdeci">int Compare(const Dataset &amp;aCompare) const </div><div class="ttdoc">This method compares this dataset to another based on the timestamp. </div><div class="ttdef"><b>Definition:</b> meshcop_dataset.cpp:409</div></div>
<div class="ttc" id="classThread_1_1Message_html"><div class="ttname"><a href="../../dc/d3c/classThread_1_1Message.html">Thread::Message</a></div><div class="ttdoc">This class represents a message. </div><div class="ttdef"><b>Definition:</b> message.hpp:213</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Dataset_html_a0b1de5d24be05445bf6cf41ec93a0ee5"><div class="ttname"><a href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a0b1de5d24be05445bf6cf41ec93a0ee5">Thread::MeshCoP::Dataset::GetBytes</a></div><div class="ttdeci">const uint8_t * GetBytes(void) const </div><div class="ttdoc">This method returns a pointer to the byte representation of the Dataset. </div><div class="ttdef"><b>Definition:</b> meshcop_dataset.hpp:89</div></div>
<div class="ttc" id="openthread-types_8h_html_ab701d053a9c34ab7f11e43e0dc09ac9f"><div class="ttname"><a href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a></div><div class="ttdeci">ThreadError</div><div class="ttdoc">This enumeration represents error codes used throughout OpenThread. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:75</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Dataset_html_a3fd5a48abf6d35b95bb310268291831a"><div class="ttname"><a href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a3fd5a48abf6d35b95bb310268291831a">Thread::MeshCoP::Dataset::Dataset</a></div><div class="ttdeci">Dataset(const Tlv::Type aType)</div><div class="ttdoc">This constructor initializes the object. </div><div class="ttdef"><b>Definition:</b> meshcop_dataset.cpp:44</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Dataset_html_a32f049f8483850d8eb74d7fcaf5f84bda42f9a1acf353967a18f1bb737c4a7af9"><div class="ttname"><a href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a32f049f8483850d8eb74d7fcaf5f84bda42f9a1acf353967a18f1bb737c4a7af9">Thread::MeshCoP::Dataset::kMaxSize</a></div><div class="ttdoc">Maximum size of MeshCoP Dataset (bytes) </div><div class="ttdef"><b>Definition:</b> meshcop_dataset.hpp:49</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Dataset_html_a8a8d126f604b8dbedb7128c9292480f9"><div class="ttname"><a href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a8a8d126f604b8dbedb7128c9292480f9">Thread::MeshCoP::Dataset::Clear</a></div><div class="ttdeci">void Clear(void)</div><div class="ttdoc">This method clears the Dataset. </div><div class="ttdef"><b>Definition:</b> meshcop_dataset.cpp:50</div></div>
<div class="ttc" id="meshcop__tlvs_8hpp_html"><div class="ttname"><a href="../../dd/d6b/meshcop__tlvs_8hpp.html">meshcop_tlvs.hpp</a></div><div class="ttdoc">This file includes definitions for generating and processing MeshCoP TLVs. </div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Dataset_html_a7bf2672f12591565bcbda0cf0f8bde98"><div class="ttname"><a href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a7bf2672f12591565bcbda0cf0f8bde98">Thread::MeshCoP::Dataset::GetSize</a></div><div class="ttdeci">uint8_t GetSize(void) const </div><div class="ttdoc">This method returns the Dataset size in bytes. </div><div class="ttdef"><b>Definition:</b> meshcop_dataset.hpp:103</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Tlv_html_ae7665134b0a5f9bf1bac5d92f94b723c"><div class="ttname"><a href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#ae7665134b0a5f9bf1bac5d92f94b723c">Thread::MeshCoP::Tlv::Type</a></div><div class="ttdeci">Type</div><div class="ttdoc">MeshCoP TLV Types. </div><div class="ttdef"><b>Definition:</b> meshcop_tlvs.hpp:62</div></div>
<div class="ttc" id="message_8hpp_html"><div class="ttname"><a href="../../d5/d8c/message_8hpp.html">message.hpp</a></div><div class="ttdoc">This file includes definitions for the message buffer pool and message buffers. </div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Tlv_html"><div class="ttname"><a href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html">Thread::MeshCoP::Tlv</a></div><div class="ttdoc">This class implements MeshCoP TLV generation and parsing. </div><div class="ttdef"><b>Definition:</b> meshcop_tlvs.hpp:55</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Dataset_html_a3258521bf66915fc5da53679c867e233"><div class="ttname"><a href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a3258521bf66915fc5da53679c867e233">Thread::MeshCoP::Dataset::Get</a></div><div class="ttdeci">Tlv * Get(Tlv::Type aType)</div><div class="ttdoc">This method returns a pointer to the TLV. </div><div class="ttdef"><b>Definition:</b> meshcop_dataset.cpp:55</div></div>
<div class="ttc" id="structotOperationalDataset_html"><div class="ttname"><a href="../../d5/d59/structotOperationalDataset.html">otOperationalDataset</a></div><div class="ttdoc">This structure represents an Active or Pending Operational Dataset. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:396</div></div>
<div class="ttc" id="namespaceThread_html"><div class="ttname"><a href="../../d9/d00/namespaceThread.html">Thread</a></div><div class="ttdef"><b>Definition:</b> cli.cpp:61</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Timestamp_html"><div class="ttname"><a href="../../d1/def/classThread_1_1MeshCoP_1_1Timestamp.html">Thread::MeshCoP::Timestamp</a></div><div class="ttdoc">This class implements Timestamp generation and parsing. </div><div class="ttdef"><b>Definition:</b> meshcop_tlvs.hpp:835</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Dataset_html_a2576874faa1595dcae546fa8cd2c70f3"><div class="ttname"><a href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a2576874faa1595dcae546fa8cd2c70f3">Thread::MeshCoP::Dataset::GetTimestamp</a></div><div class="ttdeci">const Timestamp * GetTimestamp(void) const </div><div class="ttdoc">This method returns a reference to the Timestamp. </div><div class="ttdef"><b>Definition:</b> meshcop_dataset.cpp:372</div></div>
<div class="ttc" id="classThread_1_1MeshCoP_1_1Dataset_html_a6ac8ee63c0679525bb24ab99900c0fb7"><div class="ttname"><a href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a6ac8ee63c0679525bb24ab99900c0fb7">Thread::MeshCoP::Dataset::SetTimestamp</a></div><div class="ttdeci">void SetTimestamp(const Timestamp &amp;aTimestamp)</div><div class="ttdoc">This method sets the Timestamp value. </div><div class="ttdef"><b>Definition:</b> meshcop_dataset.cpp:393</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_fd71accbf528c1576ca21e7ec5716833.html">thread</a></li><li class="navelem"><a class="el" href="../../d6/d3c/meshcop__dataset_8hpp.html">meshcop_dataset.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:33 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
